petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSPreStage

Runs the user-defined pre-stage function set using TSSetPreStage()

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPreStage(TS ts, PetscReal stagetime)

Collective on TS Many br

### Input Parameters

ts -The TS context obtained from TSCreate() Many brstagetime - The absolute time of the current stage Many br

### Notes

TSPreStage() is typically used within time stepping implementations, Many brmost users would not generally call this routine themselves. Many br

Many br

### Keywords

TS, timestep

### See Also

TSPostStage(), TSSetPreStep(), TSPreStep(), TSPostStep()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages